+++
title = "Using Basic Authentication"
weight = 73
updated = 2023-06-13
aliases = ["/docs/using-basic-authentication.html", "/docs/bonsai-api/authentication/using-basic-authentication/"]

[extra]
nav_title = "Using Basic Authentication"
weight = 20
+++

The Bonsai API supports HTTP Basic Authentication over TLS >= 1.2 as one means for authenticating requests.

### Alpha Stage

{% admonition(title="Note") %}
The Bonsai API is currently in its Alpha release phase. It may not be feature-complete, and is subject to change without notice. If you have any questions about the roadmap of the API, please reach out to [support](mailto:support@bonsai.io).
{% end %}

The Bonsai API supports [HTTP Basic Authentication](https://en.wikipedia.org/wiki/Basic_access_authentication) over TLS >= 1.2 as one means for authenticating requests. The authentication protocol utilizes an Authorization header, with the contents: Basic .

Many tools, such as curl will construct this header automatically from credentials in a URL. For example, curl will translate https://user:pass@api.bonsai.io/ in to https://api.bonsai.io/ with the header Authorization: Basic dXNlcjpwYXNz.

For Basic Auth, the token key corresponds to the "user" parameter and the token secret corresponds to the "password" parameter.
